Retrieve ecosystem policy
Deprecated
Retrieves an ecosystem policy by providing the ecosystem ID.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytics Events
ecosystemId*stringThe UUID of the ecosystem
uuidIf-None-Match?stringThe If-None-Match parameter enables caching. Specify the ETag of the latest retrieved policy version, so that the policy is only retrieved if it had changed since.
Accept-Encoding?stringUse the Accept-Encoding header to specify the supported content encodings.
"gzip""deflate"Ecosystem policy retrieved
application/json- response
policyModifiedAt*stringThe timestamp when the ecosystem policy was last modified.
date-timepolicyPublishedAt*stringThe timestamp when the policy was published.
date-timecredentials*A map of credential IDs to credentials associated with the ecosystem policy.
participants*A list of participants associated with the ecosystem policy.
curl -X GET 'https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/policy'{ "policyModifiedAt": "2023-10-17T00:00:00Z", "policyPublishedAt": "2024-10-22T00:00:00Z", "credentials": { "599bf148-d711-405a-a20b-9c8a87ac8850": { "id": "599bf148-d711-405a-a20b-9c8a87ac8850", "ecosystemId": "87880d7e-a4d0-462e-8383-3f1e5e16865d", "profile": "compact", "type": "DriverLicense", "name": "Driver's License" } }, "participants": { "a24e391a-c27f-4b6e-9805-1ee7e03f3c58": { "id": "a24e391a-c27f-4b6e-9805-1ee7e03f3c58", "ecosystemId": "87880d7e-a4d0-462e-8383-3f1e5e16865d", "name": "My Participant", "isIssuer": false, "isVerifier": false, "isIssuerConstrained": true, "isVerifierConstrained": true, "status": "Active", "country": "US", "stateOrProvince": "US-AL", "organizationAddress": "1234 Main St, City, State, 12345", "organizationPhoneNumber": "012-3456789", "identifiers": { "web-semantic": "did:web:example.com", "compact-semantic": "did:web:example.com", "compact": "did:web:example.com", "mobile": [ { "certificatePem": "-----BEGIN CERTIFICATE-----\r\nMIIBwzCCAWigAwIBAgIKRGC+CqoTGJKkkTAKBggqhkjOPQQDAjAgMR4wCQYDVQQG\r\nEwJOWjARBgNVBAMTCk1BVFRSIElBQ0EwHhcNMjMwODA4MDAwOTIxWhcNMzMwODA1\r\nMDAwOTIxWjAgMR4wCQYDVQQGEwJOWjARBgNVBAMTCk1BVFRSIElBQ0EwWTATBgcq\r\nhkjOPQIBBggqhkjOPQMBBwNCAASRu69fzdgM4odkyPtRcZd3eGWCw4BB7StZNGRm\r\nuIlrraUyv9SWPHgUYjYmRB1g7ERzj/pOSAspk71Y+QA+j9nPo4GJMIGGMBIGA1Ud\r\nEwEB/wQIMAYBAf8CAQMwDgYDVR0PAQH/BAQDAgAGMB0GA1UdDgQWBBSONcHGh4If\r\nO1dYorRpsuFrs+f8SDAcBgNVHRIEFTATgRFpbmZvQG1hdHRyLmdsb2JhbDAjBgNV\r\nHR8EHDAaMBiiFoYUaHR0cHM6Ly9tYXR0ci5nbG9iYWwwCgYIKoZIzj0EAwIDSQAw\r\nRgIhAPKJIGDSvp7VxRBLCWWeghqi8UUeO+dZsC49TUZcDMNxAiEAoh+7dT+l+GzX\r\nk0J2SoGmPiagrbAuIYyTHwzZZuYr1W4=\r\n-----END CERTIFICATE-----\r\n", "docTypes": [ "org.iso.18013.5.1" ] } ] }, "issuerAllowedCredentials": [ "e0a07846-44e1-41a4-b704-1ccf6eb1a5af", "25fa6ffc-bf6e-417c-865c-96fcf1d7d1a3" ], "verifierAllowedCredentials": [ "4e25a240-76bb-4e9f-9f93-b93be287922b", "daca4a43-3ff9-4ecb-93fe-d9104e36bf74" ] } }}How would you rate this page?
Retrieve latest ecosystem policy GET
Retrieves the latest ecosystem policy by providing the ecosystem ID. This endpoint is intended for public consumption, and as such does not require authentication.
Retrieve ecosystem policy preview GET
Retrieves an ecosystem policy preview by providing the Ecosystem's ID. A policy preview includes all the participants and credential types created in the ecosystem, excluding any participants with expired or inactive IACAs.